Page MenuHomeFreeBSD

Fix MSI IRQ allocation for ARM GIC
ClosedPublic

Authored by gonzo on Jan 11 2017, 7:48 PM.

Details

Summary

Code used wrong vartiable to check flags, irq does not change so only first IRQ is checked

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6715
Build 6932: arc lint + arc unit

Event Timeline

gonzo updated this revision to Diff 23899.Jan 11 2017, 7:48 PM
gonzo retitled this revision from to Fix MSI IRQ allocation for ARM GIC.
gonzo updated this object.
gonzo edited the test plan for this revision. (Show Details)
gonzo added a reviewer: andrew.
andrew added inline comments.Apr 20 2017, 2:34 PM
sys/arm/arm/gic.c
1442–1443

I think this assert will be hit when the allocation doesn't fit as sc->sc_spi_end isn't a MSI/MSI-X irq.

gonzo abandoned this revision.Apr 26 2017, 12:08 AM

Overcome by events: fixed by r317428

andrew edited edge metadata.Apr 26 2017, 8:41 AM

Are the irq -> end_irq changes still relevant? They appear so.

gonzo reclaimed this revision.May 2 2017, 6:41 PM

Yeah, overlooked end_irq part, reopening

gonzo updated this revision to Diff 27938.May 2 2017, 6:42 PM

Sync patch to the latest HEAD version

andrew accepted this revision.Jun 22 2017, 3:55 PM
This revision is now accepted and ready to land.Jun 22 2017, 3:55 PM
This revision was automatically updated to reflect the committed changes.